## org.apache.batik.ext.awt.image.renderable
Interface ConvolveMatrixRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  ConvolveMatrixRable8Bit

public interface ConvolveMatrixRable
extends FilterColorInterpolation

Convolves an image with a convolution matrix.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double` `getBias()` Returns the shift value to apply to the result of convolution
`PadMode` `getEdgeMode()` Returns the current edge handling mode.
`java.awt.image.Kernel` `getKernel()` Returns the Convolution Kernel in use
`double[]` `getKernelUnitLength()` Returns the [x,y] distance in user space between kernel values
`boolean` `getPreserveAlpha()` Returns false if the convolution should affect the Alpha channel
`Filter` `getSource()` Returns the source to be Convolved
`java.awt.Point` `getTarget()` Returns the target point of the kernel (what pixel under the kernel should be set to the result of convolution).
`void` `setBias(double bias)` Sets the shift value to apply to the result of convolution
`void` `setEdgeMode(PadMode edgeMode)` Sets the current edge handling mode.
`void` `setKernel(java.awt.image.Kernel k)` Sets the Convolution Kernel to use.
`void` `setKernelUnitLength(double[] kernelUnitLength)` Sets the [x,y] distance in user space between kernel values If set to zero then one pixel in device space will be used.
`void` `setPreserveAlpha(boolean preserveAlpha)` Sets Alpha channel handling.
`void` `setSource(Filter src)` Sets the source to be Convolved
`void` `setTarget(java.awt.Point pt)` Sets the target point of the kernel (what pixel under the kernel should be set to the result of the convolution).

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be Convolved

### setSource

    public void setSource(Filter src)

  Sets the source to be Convolved

  Parameters:
    `src` - image to Convolved.

### getKernel

    public java.awt.image.Kernel getKernel()

  Returns the Convolution Kernel in use

### setKernel

    public void setKernel(java.awt.image.Kernel k)

  Sets the Convolution Kernel to use.

  Parameters:
    `k` - Kernel to use for convolution.

### getTarget

    public java.awt.Point getTarget()

  Returns the target point of the kernel (what pixel under the kernel should be set to the result of convolution).

### setTarget

    public void setTarget(java.awt.Point pt)

  Sets the target point of the kernel (what pixel under the kernel should be set to the result of the convolution).

### getBias

    public double getBias()

  Returns the shift value to apply to the result of convolution

### setBias

    public void setBias(double bias)

  Sets the shift value to apply to the result of convolution

### getEdgeMode

    public PadMode getEdgeMode()

  Returns the current edge handling mode.

### setEdgeMode

    public void setEdgeMode(PadMode edgeMode)

  Sets the current edge handling mode.

### getKernelUnitLength

    public double[] getKernelUnitLength()

  Returns the [x,y] distance in user space between kernel values

### setKernelUnitLength

    public void setKernelUnitLength(double[] kernelUnitLength)

  Sets the [x,y] distance in user space between kernel values If set to zero then one pixel in device space will be used.

### getPreserveAlpha

    public boolean getPreserveAlpha()

  Returns false if the convolution should affect the Alpha channel

### setPreserveAlpha

    public void setPreserveAlpha(boolean preserveAlpha)

  Sets Alpha channel handling. A value of False indicates that the convolution should apply to the Alpha Channel

Copyright © 2004 Apache Software Foundation. All Rights Reserved.